## nm-device-wpan nm-device-wpan |

## Functions

const char * | nm_device_wpan_get_hw_address ()

## Types and Values

#define | NM_DEVICE_WPAN_HW_ADDRESS

## Description

## Functions

### nm_device_wpan_get_hw_address ()

    const char *
    nm_device_wpan_get_hw_address (NMDeviceWpan *device);

Gets the active hardware (MAC) address of the NMDeviceWpan

#### Parameters

device | a NMDeviceWpan |

#### Returns

the active hardware address. This is the internal string used by the device, and must not be modified.

## Types and Values

### NM_DEVICE_WPAN_HW_ADDRESS

    #define NM_DEVICE_WPAN_HW_ADDRESS "hw-address"